#!/bin/bash

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

# This is a sample bash script that mounts NFS clients 
# script name: ./nfs-mount-client.sh
# example:
# $1 i60 - head node

# For any questions, please refer to:
# http://hpc-sched.cs.sfu.ca/

umount -l /home/storage2/
rmdir /home/storage2/
sed -i '/storage2/d' /etc/fstab

mkdir /home/storage2
echo "$1:/home/storage/    /home/storage2/         nfs     auto,rw,soft,nfsvers=3,rsize=32768,wsize=32768,intr,noatime  0 0" >> /etc/fstab
mount /home/storage2/

