#!/bin/bash

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
# INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
# CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
# OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

# This is a sample bash script that sets up the password-less login between the framework nodes 
# script name: ./hpc_keys.sh

# For any questions, please refer to:
# http://hpc-sched.cs.sfu.ca/


cd /root/.ssh/
chmod 600 *
chmod go-w $HOME /root/.ssh/
cat id_rsa.pub >> authorized_keys

mkdir /home/sergey/.ssh/
cp -pr /root/.ssh/* /home/sergey/.ssh/
chown -R sergey /home/sergey/
cd /home/sergey/.ssh/
chmod 600 *
chmod go-w /home/sergey/ /home/sergey/.ssh/

